Subject: bug#47152: elpa.gnu.org incompatible with librejs

From: Stefan Monnier <[email-masked]>
Date: Sat, 24 Apr 2021 19:28:54 -0400

>>> Thanks.  I have pushed (hopefully working) support for LibreJS to
>>> elpa.git and nongnu.git.
>>>
>>> Does anyone know if manual intervention is required to update the pages
>>> for the package list and all individual packages?  Stefan M?
>>
>> Yes, manual intervention is needed.  I believe I just did the
>> necessary copying.  Please confirm,
>
> Thanks.  The front page seems to have been updated, but there are two
> remaining issues:
>
> 1. The "JavaScript license" link seems to be missing in the footer on:
>
>     https://elpa.gnu.org/packages/
>     https://elpa.nongnu.org/nongnu/

Hmm...:

    diff index.html .../elpa/html/index.html

gives me nothing.  Should I be looking elsewhere?

> 2. I can't seem to find the jslicense.html file that should be located
>    at:
>
>     https://elpa.gnu.org/jslicense.html
>     https://elpa.nongnu.org/jslicense.html

Sorry.  Should be fixed now.

> (BTW, should elpa.nongnu.org/nongnu/ perhaps be elpa.nongnu.org/packages/ instead?)

I wanted the "nongnu" to be prominent.

        Stefan